@charset "UTF-8";

.category-item {
    position: relative;
    margin-bottom: 16px;
    flex: 1;
}
.category-content {
    position: absolute;
    width: calc(100% - 16px);
    opacity: 80%;
    text-align: center;
    bottom: 0px;
    margin: 8px;
    padding: 20px;
    border-radius: 8px;

    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(25px) saturate(150%);
    -webkit-backdrop-filter: blur(25px) saturate(150%);
    border: 1px solid rgba(255, 255, 255, 0.3);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.15);
}

.category-content h3 {
    margin: 0;
    font-size: 18px;
    font-weight: 600;
    color: #1a1a1a;
    line-height: 1.2;
}

.categ-img {
    border-radius: 16px;
    aspect-ratio: 9 / 10;
}

.category-row {
    display: flex;
    flex-wrap: wrap;
}

.category-grid {
    margin-bottom: 20px;
    display: grid;
    gap: 24px;
}

@media (max-width: 500px) {
    .category-grid { grid-template-columns: repeat(auto-fit, minmax(150px, 1fr)); }
    .category-item-wrapper { min-width: 150px; }
}

@media (min-width: 500px) {
    .category-grid { grid-template-columns: repeat(auto-fit, minmax(220px, 1fr)); }
    .category-item-wrapper { min-width: 220px; }
}

.category-grid:has(> *:first-child:nth-last-child(2)) {
    grid-template-columns: repeat(auto-fit, minmax(250px, 300px));
    justify-content: center;
}

.category-item-wrapper {
    flex: 1 1 calc(25% - 24px);
}

.category-title {
    text-align: center;
    font-size: 26px;
}

.hero-slider { margin-top: -18px; }

.hero-slider .slider-item {
    aspect-ratio: 4 / 1;
    position: relative;
    width: 100%;
}
.hero-slider .slider-item > img {
    height: auto;
    width: 100%
}

.slider-item h1 {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
    color: black;
    margin: 0;
    font-size: 20px;
}

.edit {
    position: absolute;
    right: 0;
    top: 0;
    background-color: orange;
}